test-webkitpy: Explicitly use Python 2.7 lldb library
authorjbedard@apple.com <jbedard@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Mon, 8 Jul 2019 19:57:27 +0000 (19:57 +0000)
committerjbedard@apple.com <jbedard@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Mon, 8 Jul 2019 19:57:27 +0000 (19:57 +0000)
commitb1686980080faf3a2f05ca9f99aebafc83eea972
treeb58def897c05b9b9fd1515225110879031379d17
parent02ac0520985fe3f8b7c77deeca1de8c0f94ff450
test-webkitpy: Explicitly use Python 2.7 lldb library
https://bugs.webkit.org/show_bug.cgi?id=199578
<rdar://problem/51853557>

Reviewed by Aakash Jain.

* Scripts/webkitpy/common/system/systemhost.py:
(SystemHost.path_to_lldb_python_directory): Explicitly use Python 2.7 lldb libary.
* Scripts/webkitpy/test/main.py:
(_supports_building_and_running_lldb_tests): Run lldb tests on Catalina again.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@247228 268f45cc-cd09-0410-ab3c-d52691b4dbfc
Tools/ChangeLog
Tools/Scripts/webkitpy/common/system/systemhost.py
Tools/Scripts/webkitpy/test/main.py